# TreeMultisetNode | data-structure-typed
Documentation for data-structure-typed

# Class TreeMultisetNode<T, NEIGHBOR>

#### Type Parameters

- #### T = any

- #### NEIGHBOR extends TreeMultisetNode <T, NEIGHBOR> = TreeMultisetNodeNested <T>

#### Hierarchy

- AVLTreeNode <T, NEIGHBOR>
  - TreeMultisetNode

#### Implements

- ITreeMultisetNode <T, NEIGHBOR>

- Defined in src/data-structures/binary-tree/tree-multiset.ts:13

#####
Index

### Constructors

constructor

### Properties

_count

### Accessors

count
familyPosition
height
id
left
parent
right
val

## Constructors

### constructor

- new TreeMultisetNode<T, NEIGHBOR>(id, val?, count?): TreeMultisetNode <T, NEIGHBOR>

- The constructor function initializes a BinaryTreeNode object with an id, value, and count.

  #### Type Parameters

  - #### T = any

  - #### NEIGHBOR extends TreeMultisetNode <T, NEIGHBOR, NEIGHBOR> = TreeMultisetNodeNested <T>

  #### Parameters

  - ##### id: number

    The `id` parameter is of type `BinaryTreeNodeId` and represents the unique identifier of the binary tree node.

  - ##### `Optional` val: T

    The `val` parameter is an optional parameter of type `T`. It represents the value of the binary tree node. If no value is provided, it will be `undefined`.

  - ##### `Optional` count: number = 1

    The `count` parameter is a number that represents the number of times a particular value occurs in a binary tree node. It has a default value of 1, which means that if no value is provided for the `count` parameter when creating a new instance of the `BinaryTreeNode` class,

  #### Returns TreeMultisetNode <T, NEIGHBOR>

  Overrides AVLTreeNode.constructor

  - Defined in src/data-structures/binary-tree/tree-multiset.ts:27

## Properties

### `Private` _count

_count: number

- Defined in src/data-structures/binary-tree/tree-multiset.ts:32

## Accessors

### count

- get count(): number

- #### Returns number

  - Defined in src/data-structures/binary-tree/tree-multiset.ts:34
- set count(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  - Defined in src/data-structures/binary-tree/tree-multiset.ts:38

### familyPosition

- get familyPosition(): FamilyPosition

- The function determines the position of a node in a family tree structure.

  #### Returns FamilyPosition

  a value of type `FamilyPosition`.

  Implementation of ITreeMultisetNode.familyPosition

  Inherited from AVLTreeNode.familyPosition

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:110

### height

- get height(): number

- #### Returns number

  Implementation of ITreeMultisetNode.height

  Inherited from AVLTreeNode.height

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:98
- set height(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Implementation of ITreeMultisetNode.height

  Inherited from AVLTreeNode.height

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:102

### id

- get id(): number

- #### Returns number

  Implementation of ITreeMultisetNode.id

  Inherited from AVLTreeNode.id

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:42
- set id(v): void

- #### Parameters

  - ##### v: number

  #### Returns void

  Implementation of ITreeMultisetNode.id

  Inherited from AVLTreeNode.id

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:46

### left

- get left(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of ITreeMultisetNode.left

  Inherited from AVLTreeNode.left

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:62
- set left(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of ITreeMultisetNode.left

  Inherited from AVLTreeNode.left

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:66

### parent

- get parent(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of ITreeMultisetNode.parent

  Inherited from AVLTreeNode.parent

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:88
- set parent(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of ITreeMultisetNode.parent

  Inherited from AVLTreeNode.parent

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:92

### right

- get right(): undefined | null | NEIGHBOR

- #### Returns undefined | null | NEIGHBOR

  Implementation of ITreeMultisetNode.right

  Inherited from AVLTreeNode.right

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:75
- set right(v): void

- #### Parameters

  - ##### v: undefined | null | NEIGHBOR

  #### Returns void

  Implementation of ITreeMultisetNode.right

  Inherited from AVLTreeNode.right

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:79

### val

- get val(): undefined | T

- #### Returns undefined | T

  Implementation of ITreeMultisetNode.val

  Inherited from AVLTreeNode.val

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:52
- set val(value): void

- #### Parameters

  - ##### value: undefined | T

  #### Returns void

  Implementation of ITreeMultisetNode.val

  Inherited from AVLTreeNode.val

  - Defined in src/data-structures/binary-tree/abstract-binary-tree.ts:56

Generated using TypeDoc